# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Build the manager binary
FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202106111650.p0.git.6a32d86 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202106111650.p0.git.6a32d86 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6a32d86 OS_GIT_VERSION=4.5.0-202106111650.p0.git.6a32d86-6a32d86 SOURCE_DATE_EPOCH=1603321328 SOURCE_GIT_COMMIT=6a32d86775de39e0331d0d773f8b8d7fb45905f7 SOURCE_GIT_TAG=v0.1.0-alpha.3-156-g6a32d867 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure 

# Copy in the go src
WORKDIR /go/src/sigs.k8s.io/cluster-api-provider-azure
COPY pkg/    pkg/
COPY cmd/    cmd/
COPY vendor/ vendor/

# Build
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -a -o ./machine-controller-manager sigs.k8s.io/cluster-api-provider-azure/cmd/manager

# Copy the controller-manager into a thin image
FROM openshift/ose-base:v4.5.0.20210611.170122
ENV __doozer=update BUILD_RELEASE=202106111650.p0.git.6a32d86 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202106111650.p0.git.6a32d86 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6a32d86 OS_GIT_VERSION=4.5.0-202106111650.p0.git.6a32d86-6a32d86 SOURCE_DATE_EPOCH=1603321328 SOURCE_GIT_COMMIT=6a32d86775de39e0331d0d773f8b8d7fb45905f7 SOURCE_GIT_TAG=v0.1.0-alpha.3-156-g6a32d867 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure 
WORKDIR /
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-azure/machine-controller-manager .

LABEL \
        name="openshift/ose-azure-machine-controllers" \
        com.redhat.component="ose-azure-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202106111650.p0.git.6a32d86" \
        io.openshift.build.commit.id="6a32d86775de39e0331d0d773f8b8d7fb45905f7" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-azure" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-azure/commit/6a32d86775de39e0331d0d773f8b8d7fb45905f7" \
        version="v4.5.0"

